Bug 537387 - deluge daemon capabilities not reflected in package
Summary: deluge daemon capabilities not reflected in package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: deluge
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 671628 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-13 12:43 UTC by Alexander Kahl
Modified: 2011-04-05 21:29 UTC (History)
2 users (show)

Fixed In Version: deluge-1.3.1-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-25 19:23:08 UTC


Attachments (Terms of Use)
deluge sysv init script (1.30 KB, text/plain)
2009-11-13 12:43 UTC, Alexander Kahl
no flags Details

Description Alexander Kahl 2009-11-13 12:43:33 UTC
Created attachment 369418 [details]
deluge sysv init script

Both deluged and deluge can run as daemons, the former providing the actual torrent functionality and the latter providing a web interface; this is not reflected in the package, a system group and user should be created during %post and an init script provided.
I've created such an init script, see attachments.

Comment 1 Alexander Kahl 2009-11-13 12:48:15 UTC
Comment on attachment 369418 [details]
deluge sysv init script

>#!/bin/bash
>#
># Startup script for deluged
>#
># chkconfig: - 86 14
># description: deluged.
># processname: deluged
># pidfile: /var/run/deluged.pid
># config: 
>
># Source function library.
>. /etc/init.d/functions
>
>if [ -f /etc/sysconfig/deluged ]; then
>        . /etc/sysconfig/deluged
>fi
>
># Defaults, override them in /etc/sysconfig/deluged
>: ${DL_USER=deluged}
>: ${DL_GROUP=deluged}
>
>prog=deluged
>prog2=deluge
>lockfile=/var/lock/subsys/deluged
>lockfile2=/var/lock/subsys/deluge
>
>start() {
>  echo -n $"Starting $prog: "
>  daemon --user $DL_USER "$prog $OPTIONS"
>
>  RETVAL=$?
>  echo
>  [ $RETVAL -eq 0 ] && touch $lockfile
>
>  echo -n $"Starting $prog2: "
>  daemon --user $DL_USER "$prog2 --ui web >/dev/null 2>&1 &"
>
>  RETVAL=$(($RETVAL|$?))
>  echo
>  [ $RETVAL -eq 0 ] && touch $lockfile2
>
>  return $RETVAL
>}
>
>stop() {
>  echo -n $"Shutting down $prog: "
>  killproc $prog
>  RETVAL=$?
>  echo
>  [ $RETVAL -eq 0 ] && rm -f $lockfile
>
>  echo -n $"Shutting down $prog2: "
>  killproc $prog2
>  RETVAL2=$?
>  echo
>  [ $RETVAL2 -eq 0 ] && rm -f $lockfile2
>
>  return $(($RETVAL|$RETVAL2))
>}
>
># See how we were called.
>case "$1" in
>  start)
>	start
>	;;
>  stop)
>	stop
>	;;
>  status)
>        status $prog
>        status $prog2
>	;;
>  restart)
>	stop
>	start
>	;;
>  reload)
>	exit 3
>	;;
>  *)
>	echo $"Usage: $prog {start|stop|status|restart|reload}"
>	exit 1
>esac

Comment 2 Alexander Kahl 2009-11-13 12:49:47 UTC
The comment above fixes a small typo.. should be
daemon --user $DL_USER "$prog2 --ui web >/dev/null 2>&1 &"
not
daemon --user $DL_USER "$prog2 --ui web 2&>/dev/null &"

Comment 3 Bug Zapper 2010-04-28 11:18:57 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 15:27:33 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Alexander Kahl 2010-07-01 07:52:16 UTC
Still not fixed.

Comment 6 Fedora Admin XMLRPC Client 2011-03-16 08:14:51 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Rahul Sundaram 2011-03-16 15:50:42 UTC
*** Bug 671628 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2011-03-16 18:54:18 UTC
deluge-1.3.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/deluge-1.3.1-2.fc14

Comment 9 Rahul Sundaram 2011-03-16 18:59:56 UTC
Alexander Kahl,

Apologies for the long delay and thanks for the patch.  Peter, the previous maintainer hasn't been very active in Fedora for a long time and I recently took over the package and have pushed out a update with a slightly tweaked version of the patch you have provided.  Appreciate your testing if you have time.  Thanks.

Comment 10 Fedora Update System 2011-03-25 19:22:28 UTC
deluge-1.3.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-28 09:38:32 UTC
deluge-1.3.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/deluge-1.3.1-5.fc15

Comment 12 Fedora Update System 2011-04-05 21:29:37 UTC
deluge-1.3.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.